public class Kredit {
	final static float MINDEST_TILGUNG = 0.01F;
	
	float zinssatz;
	float kreditsumme;
	float rate;	
	
	public static Kredit createKredit(float zinssatz,
			float kreditsumme, float rate) {
		Kredit kredit = new Kredit(zinssatz, kreditsumme, rate);
		if (kredit.getTilgung()/kredit.getKreditsumme()>=MINDEST_TILGUNG) {
			return kredit;
		} else {
			return null;
		}
	}

	private Kredit(float zinssatz, float kreditsumme, float rate) {
		this.zinssatz = 0.01F*zinssatz;
		this.kreditsumme = kreditsumme;
		this.rate = rate;
	}

	public float getZinssatz() {
		return zinssatz;
	}

	public float getKreditsumme() {
		return kreditsumme;
	}

	public float getRate() {
		return rate;
	}
	
	public float getZinsen() {
		return zinssatz*kreditsumme;
	}
	
	public float getTilgung() {
		return rate-getZinsen();
	}
}
